API references
Search documentation... ⌘K
API references
Merchant API

Turn on auto payout

Enable automatic transfers of your available balance to your bank account on a regular schedule. When auto payout is turned on:

  • Your available balance will automatically be transferred to your primary bank account
  • Payouts will occur according to your chosen frequency (daily or weekly)
  • You don't need to manually request payouts
  • You can still view your payout history and track upcoming payouts
  • You can turn auto payout off at any time if you want to switch back to manual payouts

This is useful if you want a hands-off approach to managing your funds, receive your money as soon as it's available.

Note that you must have a primary bank account set up before enabling auto payout. Use the set-primary-bank-account endpoint first if you haven't configured one yet.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/turn-on-auto-payout HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
frequency: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
frequency string

Required. How often you want automatic payouts to occur.

Possible values:

  • DAILY: Your available balance will be transferred to your bank account at the end of each business day
  • WEEKLY: Your available balance will be transferred every Wednesday

Choose the frequency that best matches your cash flow needs.

Allowed values:
  • DAILY
  • WEEKLY
Errors specific to this endpoint
NO_PRIMARY_BANK_ACCOUNT

This error occurs when the merchant does not have a primary bank account.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/turn-on-auto-payout" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "frequency": "DAILY"
      }'

Learn how to run these code samples in your terminal by reading our guide.